### Function

# GObject TypeInterface instantiatable_prerequisite

since: 2.68

#### Declaration

    GType
    g_type_interface_instantiatable_prerequisite (
      GType interface_type
    )

#### Description

Returns the most specific instantiatable prerequisite of an interface type. If the interface type has no instantiatable prerequisite, `G_TYPE_INVALID` is returned.

See `g_type_interface_add_prerequisite()` for more information about prerequisites.

Available since: 2.68

#### Parameters

`interface_type`

  Type: `GType`

  An interface type.

#### Return value

Type: `GType`

The instantiatable prerequisite type or `G_TYPE_INVALID` if none.